"""correct cube envoy python path

Revision ID: ae1073977835
Revises: ffc3c74db716
Create Date: 2024-12-19 11:32:44.284537

"""
from pathlib import Path

from alembic import op

# revision identifiers, used by Alembic.
revision = "ae1073977835"
down_revision = "ffc3c74db716"
branch_labels = None
depends_on = None


def get_content(filename: str) -> str:
    return (Path.cwd() / "versions" / "templates" / "vlass_coarse" / filename).read_text()


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{get_content("envoy_2.8.6.txt")}'
        WHERE filename='vlass_coarse_envoy.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{get_content("envoy_2.8.1.txt")}'
        WHERE filename='vlass_coarse_envoy.sh'
        """
    )
