# Workspaces Annihilator
**NOTE: This utility is run via a cron job, and typically doesn't need to be run by hand**

A commandline utility that removes old unused directories from the Workspaces lustre areas.

Annihilator requires the capo profile for the environment to be cleaned (dsoc-dev, dsoc-test, dsoc-prod)


## Usage
```shell
usage: ws_annihilator [-h] -p PROFILE [-a] [-c]

Workspaces Directory Annihilator

required arguments:
-p PROFILE, --profile PROFILE   Specify which environment to run on. Required. Example: dsoc-dev

optional arguments:
-h, --help                      show this help message and exit
--dry-run                       Dry run annihilation, logs directories rather than delete them.
-a, --all                       Run annihilation on workspaces spool, staging, and storage areas.
-c, --cache                     Run annihilation on workspaces cache area.
--curator                       Run annihilation on workspaces spool area for completed curator workflows.
--calibration                   Run annihilation on workspaces spool area for completed std_calibration workflows.
--image                         Run annihilation on workspaces spool area for ingested image workflows and their calibrations.
--calibration-and-image         Run annihilation on spool directories for standard calibration and imaging.
```
